BaseValidatorForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.BaseValidatorForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action
Class BaseValidatorForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AddApplicationServicesForm, AddResourceGroupsForm, AddServiceDependenciesForm, CalendarForm, ChangeResourceOwnerForm, DashboardBaseForm, DashboardForm, EditForm, EditPasswordForm, ExampleForm, IndicatorViewsForm, ListServiceDependenciesForm, NonScheduleResourceForm, QuickControlForm, RemoveControlJobsForm, RemoveForm, RemoveGroupForm, RemoveHistoryForm, RemoveServiceDependenciesForm, ResourceHubForm, SystemConfigForm

    public class BaseValidatorForm

extends org.apache.struts.validator.ValidatorForm

A subclass of `ValidatorForm` that adds convenience methods for dealing with image-based form buttons.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`BaseValidatorForm()`

Method Summary
`org.apache.struts.util.ImageButtonBean` | `getAdd()`
`org.apache.struts.util.ImageButtonBean` | `getCancel()`
`org.apache.struts.util.ImageButtonBean` | `getCreate()`
`org.apache.struts.util.ImageButtonBean` | `getDelete()`
`org.apache.struts.util.ImageButtonBean` | `getEnable()`
`org.apache.struts.util.ImageButtonBean` | `getOk()`
`org.apache.struts.util.ImageButtonBean` | `getOkassign()`
`java.lang.Integer` | `getPn()` Getter for property p.
`java.lang.Integer` | `getPs()`
`org.apache.struts.util.ImageButtonBean` | `getRemove()`
`org.apache.struts.util.ImageButtonBean` | `getReset()`
`org.apache.struts.util.ImageButtonBean` | `getUserset()`
`boolean` | `isAddClicked()`
`boolean` | `isCancelClicked()`
`boolean` | `isCreateClicked()`
`boolean` | `isDeleteClicked()`
`boolean` | `isEnableClicked()`
`boolean` | `isOkAssignClicked()`
`boolean` | `isOkClicked()`
`boolean` | `isRemoveClicked()`
`boolean` | `isResetClicked()`
`boolean` | `isUsersetClicked()`
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setAdd(org.apache.struts.util.ImageButtonBean add)`
`void` | `setCancel(org.apache.struts.util.ImageButtonBean cancel)`
`void` | `setCreate(org.apache.struts.util.ImageButtonBean create)`
`void` | `setDelete(org.apache.struts.util.ImageButtonBean delete)`
`void` | `setEnable(org.apache.struts.util.ImageButtonBean enable)`
`void` | `setOk(org.apache.struts.util.ImageButtonBean ok)`
`void` | `setOkassign(org.apache.struts.util.ImageButtonBean okAdd)` Sets the okAdd.
`void` | `setPn(java.lang.Integer pn)` Setter for property p.
`void` | `setPs(java.lang.Integer pageSize)`
`void` | `setRemove(org.apache.struts.util.ImageButtonBean remove)`
`void` | `setReset(org.apache.struts.util.ImageButtonBean reset)`
`void` | `setUserset(org.apache.struts.util.ImageButtonBean userset)`
`protected boolean` | `shouldValidate(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`java.lang.String` | `toString()`
`org.apache.struts.action.ActionErrors` | `validate(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)` Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to.

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseValidatorForm

    public BaseValidatorForm()

Method Detail

### setAdd

    public void setAdd(org.apache.struts.util.ImageButtonBean add)

### getAdd

    public org.apache.struts.util.ImageButtonBean getAdd()

### setCancel

    public void setCancel(org.apache.struts.util.ImageButtonBean cancel)

### getCancel

    public org.apache.struts.util.ImageButtonBean getCancel()

### setCreate

    public void setCreate(org.apache.struts.util.ImageButtonBean create)

### getCreate

    public org.apache.struts.util.ImageButtonBean getCreate()

### setDelete

    public void setDelete(org.apache.struts.util.ImageButtonBean delete)

### getDelete

    public org.apache.struts.util.ImageButtonBean getDelete()

### setOk

    public void setOk(org.apache.struts.util.ImageButtonBean ok)

### getOk

    public org.apache.struts.util.ImageButtonBean getOk()

### getPs

    public java.lang.Integer getPs()

### setPs

    public void setPs(java.lang.Integer pageSize)

### setRemove

    public void setRemove(org.apache.struts.util.ImageButtonBean remove)

### getRemove

    public org.apache.struts.util.ImageButtonBean getRemove()

### setReset

    public void setReset(org.apache.struts.util.ImageButtonBean reset)

### getReset

    public org.apache.struts.util.ImageButtonBean getReset()

### setEnable

    public void setEnable(org.apache.struts.util.ImageButtonBean enable)

### getEnable

    public org.apache.struts.util.ImageButtonBean getEnable()

### setUserset

    public void setUserset(org.apache.struts.util.ImageButtonBean userset)

### getUserset

    public org.apache.struts.util.ImageButtonBean getUserset()

### setPn

    public void setPn(java.lang.Integer pn)

  Setter for property p.

  Parameters:
    `p` - New value of property p.

### getPn

    public java.lang.Integer getPn()

  Getter for property p.

  Returns:
    Value of property p.

### setOkassign

    public void setOkassign(org.apache.struts.util.ImageButtonBean okAdd)

  Sets the okAdd.

  Parameters:
    `okAdd` - The okAdd to userset

### getOkassign

    public org.apache.struts.util.ImageButtonBean getOkassign()

  Returns:
    ImageButtonBean

### isAddClicked

    public boolean isAddClicked()

### isCancelClicked

    public boolean isCancelClicked()

### isCreateClicked

    public boolean isCreateClicked()

### isDeleteClicked

    public boolean isDeleteClicked()

### isOkClicked

    public boolean isOkClicked()

### isOkAssignClicked

    public boolean isOkAssignClicked()

### isRemoveClicked

    public boolean isRemoveClicked()

### isResetClicked

    public boolean isResetClicked()

### isEnableClicked

    public boolean isEnableClicked()

### isUsersetClicked

    public boolean isUsersetClicked()

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `org.apache.struts.validator.ValidatorForm`

### validate

    public org.apache.struts.action.ActionErrors validate(org.apache.struts.action.ActionMapping mapping,
                                                          javax.servlet.http.HttpServletRequest request)

  Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to. condition #2 can be false when a form has failed validation and has forwarded to the input page; the ok button request parameter will still be userset, but the prepare action for the input page will not have (another) input page specified.

  Overrides:
    `validate` in class `org.apache.struts.validator.ValidatorForm`

### shouldValidate

    protected boolean shouldValidate(org.apache.struts.action.ActionMapping mapping,
                                     javax.servlet.http.HttpServletRequest request)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.